SSIInclude (Tomcat API Documentation)
Keywords: org.apache.catalina.ssi.SSIInclude class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIInclude

    java.lang.Object
      org.apache.catalina.ssi.SSIInclude

All Implemented Interfaces:
  SSICommand

public final class SSIInclude
extends java.lang.Object
implements SSICommand

Implements the Server-side #include command

Version:
  $Revision: 565195 $, $Date: 2007-08-12 17:00:41 -0600 (Sun, 12 Aug 2007) $
Author:
  Bip Thelin, Paul Speed, Dan Sandberg, David Becker

Constructor Summary
`SSIInclude()`

Method Summary
`long` | `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSIInclude

    public SSIInclude()

Method Detail

### process

    public long process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  Returns:
    the most current modified date resulting from any SSI commands
  See Also:
    `SSICommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.